# @ssh_host, @ssh_user and @ssh_options are used for sftp and ssh
@ssh_host = 'ekranos.me'
@ssh_user = 'ekranos'
@ssh_options = {port: 10099, user: 'ekranos', keys: '~/.ssh/ekranos.me', keys_only: true}
@tmp_gem_path = '/tmp/placer.gem'
@public_path = "/home/#{@ssh_user}/caddy/public.ekranos.me/browse"

sftp do |sftp|
  {'placer-*.gem' => [@tmp_gem_path, "#{@public_path}/ruby/gems/placer/"]}.each do |k, v|
    sftp.upload k, v
  end
end

ssh do |ssh|
  ['gem install', 'rm'].each do |cmd|
    ssh.exec "#{cmd} '#{@tmp_gem_path}'"
  end
end