# Supported levels are basically every user-defined symbol
class MyLogger
  # Pass [:all] to log just everything
  def initialize(*hide_levels)
    @hide_levels = hide_levels.flatten
  end

  def log(level, message)
    return if @hide_levels.include?(:all) || @hide_levels.include?(level)
    puts "[LOG] [#{level.to_s.upcase}]: #{message}"
  end
end